VMSTAT(8)

NAME
vmstat - report virtual memory statistics

SYNOPSIS
vmstat [ -fimst ] [ -c count ] [ -M core ] [ -N system ]
[ -w wait ] [ disks ]

DESCRIPTION
Vmstat reports certain kernel statistics kept about process, virtual memory, disk, trap and cpu activity.

The options are as follows:

-c  Repeat the display count times. The first display is for the time since a reboot and each subsequent report is for the time period since the last display. If no wait interval is specified, the default is 1 second.

-f  Report on the number fork(2) and vfork(2) system calls since system startup, and the number of pages of virtual memory involved in each.

-i  Report on the number of interrupts taken by each device since system startup.

-M  Extract values associated with the name list from the specified core instead of the default ``/dev/kmem''.

-N  Extract the name list from the specified system instead of the default ``/kernel''.

-m  Report on the usage of kernel dynamic memory listed first by size of allocation and then by type of usage.

-s  Display the contents of the sum structure, giving the total number of several kinds of paging related events which have occurred since system startup.

-t  Report on the number of page in and page reclaims since system startup, and the amount of time required by each.

-w  Pause wait seconds between each display. If no repeat count is specified, the default is infinity.

By default, vmstat displays the following information:

procs
    Information about the numbers of processes in various states.

    r	in run queue
    b	blocked for resources (i/o, paging, etc.)
    w	runnable or short sleeper (< 20 secs) but swapped

memory
    Information about the usage of virtual and real memory. Virtual pages (reported in units of 1024 bytes) are considered active if they belong to processes which are running or have run in the last 20 seconds.

    avm	active virtual pages
    fre	size of the free list

page
    Information about page faults and paging activity. These are averaged each five seconds, and given in units per second.

    re	page reclaims (simulating reference bits)
    at	pages attached (found in free list)
    pi	pages paged in
    po	pages paged out
    fr	pages freed per second
    de	anticipated short term memory shortfall
    sr	pages scanned by clock algorithm, per-second

disks
    Disk operations per second (this field is system dependent). Typically paging will be split across the available drives. The header of the field is the first character of the disk name and the unit number. If more than four disk drives are configured in the system, vmstat displays only the first four drives. To force vmstat to display specific drives, their names may be supplied on the command line.

faults
    Trap/interrupt rate averages per second over last 5 seconds.

    in	device interrupts per interval (including clock interrupts)
    sy	system calls per interval
    cs	cpu context switch rate (switches/interval)

cpu Breakdown of percentage usage of CPU time.

    us	user time for normal and low priority processes
    sy	system time
    id	cpu idle

EXAMPLES
The command ``vmstat -i 5'' will print what the system is doing every five seconds; this is a good choice of printing interval since this is how often some of the statistics are sampled in the system. Others vary every second and running the output for a while will make it apparent which are recomputed every second.

FILES
/kernel    default kernel namelist
/dev/kmem    default memory file

SEE ALSO
fstat(1), netstat(1), nfsstat(1), ps(1), systat(1), iostat(8), pstat(8)

The sections starting with ``Interpreting system activity'' in Installing and Operating 4.3BSD.

BUGS
The -c and -w options are only available with the default output.